> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Products

> Retrieves a list of all products.

<ResponseExample>
  ```json Response theme={"system"}
  [
    {
      "id": "507f1f77bcf86cd799439015",
      "name": "Gold Coins Pack",
      "displayName": "Gold Coins",
      "publisherProductId": "gold_coins_100",
      "type": "Quantity",
      "description": "A pack of 100 gold coins.",
      "prefix": "Get",
      "suffix": "coins",
      "textFontColorHex": "#f5c518",
      "productImageUrl": "https://media.appcharge.com/product1.png",
      "productPrefixImageUrl": "https://media.appcharge.com/product-prefix1.png"
    },
    {
      "id": "507f1f77bcf86cd799439016",
      "name": "Premium Product",
      "displayName": "Premium Product",
      "publisherProductId": "premium_product",
      "type": "Time",
      "description": "premium product access.",
      "prefix": "Get",
      "suffix": "days",
      "textFontColorHex": "#d4af37",
      "productImageUrl": "https://images.pexels.com/images/product2.png",
      "productPrefixImageUrl": "https://media.appcharge.com/product-prefix2.png",
      "productImageExternalUrl": "https://images.pexels.com/images/product2.png"
    }
  ]
  ```
</ResponseExample>


## OpenAPI

````yaml openapi-products-api.json GET /components/v1/product
openapi: 3.0.3
info:
  title: Products API
  version: 1.0.0
servers:
  - url: https://api-sandbox.appcharge.com
security:
  - PublisherTokenAuth: []
tags:
  - name: Products
paths:
  /components/v1/product:
    get:
      tags:
        - Products
      description: Retrieves a list of all products.
      responses:
        '200':
          description: Products retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllProductResponse'
components:
  schemas:
    GetAllProductResponse:
      type: object
      properties:
        getAllProductResponse:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Product ID.
                example: 507f1f77bcf86cd799439015
              name:
                type: string
                description: Product name.
                example: Gold Coins Pack
              displayName:
                type: string
                description: Product display name.
                example: Gold Coins
              publisherProductId:
                type: string
                description: Product ID that you defined.
                example: gold_coins_100
              type:
                type: string
                enum:
                  - Quantity
                  - Time
                description: Product unit type.
                example: Quantity
              description:
                type: string
                description: Product description.
                example: A pack of 100 gold coins.
              prefix:
                type: string
                description: Product prefix text.
                example: Get
              suffix:
                type: string
                description: Product suffix text.
                example: coins
              textFontColorHex:
                type: string
                pattern: ^#[0-9a-fA-F]{6}$
                description: Product text font color in hex format.
                example: '#f5c518'
              productImageUrl:
                type: string
                format: url
                description: >-
                  Product image URL. For uploaded files, this is the
                  Appcharge-hosted CDN URL. For external image URLs, this is the
                  original image URL served from the provided URL.
                example: https://media.appcharge.com/media/69133d595af23405d8e843a5
              productPrefixImageUrl:
                type: string
                format: url
                description: >-
                  Product prefix image URL. For uploaded files, this is the
                  Appcharge-hosted CDN URL. For external image URLs, this is the
                  original image URL served from the provided URL.
                example: https://media.appcharge.com/media/69133d595af23405d8e843a5
              productImageExternalUrl:
                type: string
                format: url
                description: >-
                  Original product image URL when the product uses an external
                  image URL. This URL is used as provided to serve the image.
                example: >-
                  https://images.pexels.com/photos/35406321/pexels-photo-35406321.jpeg
  securitySchemes:
    PublisherTokenAuth:
      type: apiKey
      in: header
      name: x-publisher-token
      description: Publisher token, as displayed in the Publisher Dashboard.

````